# Uses of Interface
org.eclipse.equinox.p2.repository.IRepositoryReference

Packages that use IRepositoryReference
Package
Description
org.eclipse.equinox.p2.repository.metadata
Defines metadata repository.
org.eclipse.equinox.p2.repository.metadata.spi
Defines SPI for registering new implementations of metadata repositories.
org.eclipse.equinox.p2.repository.spi
Defines common types for handling repositories.

## Uses of IRepositoryReference in org.eclipse.equinox.p2.repository.metadata

Methods in org.eclipse.equinox.p2.repository.metadata that return types with arguments of type IRepositoryReference
Modifier and Type
Method
Description
`Collection<IRepositoryReference>`
IMetadataRepository.`getReferences()`
Returns the repositories that this repository is referencing.
Method parameters in org.eclipse.equinox.p2.repository.metadata with type arguments of type IRepositoryReference
Modifier and Type
Method
Description
`void`
IMetadataRepository.`addReferences(Collection<? extends IRepositoryReference> references)`
Adds references to another repository to this repository.
`boolean`
IMetadataRepository.`removeReferences(Collection<? extends IRepositoryReference> references)`
Removes from this repository the given references to other repositories.

## Uses of IRepositoryReference in org.eclipse.equinox.p2.repository.metadata.spi

Fields in org.eclipse.equinox.p2.repository.metadata.spi declared as IRepositoryReference
Modifier and Type
Field
Description
`IRepositoryReference[]`
AbstractMetadataRepository.RepositoryState.`Repositories`
The persisted array of repository references
Method parameters in org.eclipse.equinox.p2.repository.metadata.spi with type arguments of type IRepositoryReference
Modifier and Type
Method
Description
`void`
AbstractMetadataRepository.`addReferences(Collection<? extends IRepositoryReference> references)`
`boolean`
AbstractMetadataRepository.`removeReferences(Collection<? extends IRepositoryReference> references)`

## Uses of IRepositoryReference in org.eclipse.equinox.p2.repository.spi

Classes in org.eclipse.equinox.p2.repository.spi that implement IRepositoryReference
Modifier and Type
Class
Description
`class`
`RepositoryReference`
Concrete implementation of a repository reference.